ppx_tools

Maintaineralain.frisch@lexifi.com
Dependencies
ocamlfind>= 1.5.0
Availableocaml-version >= "4.02.0" & ocaml-version < "4.03.0"
PublishedAug 7, 2014
Source [http] http://github.com/alainfrisch/ppx_tools/archive/ppx_tools_0.99.1.tar.gz
9e73018bafd7ff3ca4cab4206a605c30
StatisticsInstalled 2 times last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/ppx_tools/ppx_tools.0.99.1/opam

Tools for authors of ppx rewriters and other syntactic tools

Necessary for
aperf
>= 0.1.2
arp
bisect_ppx
1.1.0
bistro
0.3.0
charrua-core
&>= 0.5
0.8
dns
|&>= 0.18.0
0.19.1
>= 0.20.0
dns-forward
fat-filesystem
>= 0.11.0
gdb
gensqlite
js_of_ocaml
&>= 2.6
3.0
lwt
&>= 2.4.6
3.1.0
mirage-block-xen
>= 1.4.0
mirage-net-xen
&>= 1.6.0
1.7.1
mirage-profile
&>= 0.7.0
0.8.0
nbd
>= 2.1.0
netchannel
ocaml-monadic
>= 0.3.2
ocamllint
0.3.0
ocf
0.5.0
omonad
>= 0.3.0
orakuda
>= 2.0.0
otr
&>= 0.3.1
0.3.3
ppx_assert
113.33.00
ppx_bench
113.33.00
ppx_bin_prot
113.24.01
ppx_bitstring
2.0.0
ppx_blob
>= 0.2
ppx_compare
113.33.00
ppx_const
ppx_conv_func
113.33.00
ppx_core
113.33.00
ppx_cstruct
3.0.0
ppx_csv_conv
113.33.00
ppx_custom_printf
113.24.00
ppx_deriving
1.0
ppx_distr_guards
ppx_driver
113.24.00
ppx_enumerate
113.33.00
ppx_expect
113.33.00
ppx_fail
113.33.00
ppx_fields_conv
113.33.00
ppx_fun
>= 0.0.4
ppx_getenv
ppx_hardcaml
ppx_here
113.24.00
ppx_implicits
ppx_import
ppx_inline_test
113.33.00
ppx_monadic
1.1.0
ppx_netblob
ppx_optcomp
113.33.00
ppx_orakuda
3.1.0
ppx_pipebang
113.33.00
ppx_regexp
0.3.0
ppx_sexp_conv
113.33.00
ppx_sexp_message
113.33.00
ppx_sexp_value
113.33.00
ppx_type_conv
113.33.00
ppx_typerep_conv
113.33.00
ppx_variants_conv
113.33.00
ppx_xml_conv
113.33.00
ppxx
1.3.0
protocol-9p
>= 0.6.0
protocol-9p-unix
qcow
qcow-format
>= 0.4
sedlex
&>= 1.99.1
1.99.3
sequoia
shared-block-ring
>= 2.3.0
shared-memory-ring
&>= 1.2.0
2.0.0
sqlexpr
>= 0.7.1
tar
tar-format
&>= 0.6.0
0.6.1
tcpip
>= 2.7.0
tls
>= 0.7.1
tyxml-ppx
utop
&>= 1.19
1.19.2
vchan
>= 2.1.0
vchan-unix
vchan-xen
vhd-format
>= 0.8.0
visitors
vmnet
>= 1.1.0
xenstore
>= 1.3.0
Optional for
cstruct
&>= 1.8.0
2.4.1
js_of_ocaml-ppx
lens
>= 1.1.0
tyxml
>= 4.0.0
utop
&>= 1.19.2
1.19.3